[Printing-architecture] [PATCH] braille: drop spurious output from tool checking

Samuel Thibault samuel.thibault at ens-lyon.org
Sun Apr 10 16:32:22 UTC 2016


Checking for tools with "type" is verbose, we need to drop the output.
-------------- next part --------------
=== modified file 'filter/braille/filters/cups-braille.sh.in'
--- filter/braille/filters/cups-braille.sh.in	2016-01-19 22:48:12 +0000
+++ filter/braille/filters/cups-braille.sh.in	2016-03-31 23:03:27 +0000
@@ -236,7 +236,7 @@ checkTool() {
   TOOL=$1
   PACKAGE=$2
   USE=$3
-  if ! type $TOOL
+  if ! type $TOOL > /dev/null
   then
     printf "ERROR: The $PACKAGE package is required for $USE\n" >&2
     exit 1

=== modified file 'filter/braille/filters/texttobrf.in'
--- filter/braille/filters/texttobrf.in	2016-01-21 01:10:01 +0000
+++ filter/braille/filters/texttobrf.in	2016-04-10 16:06:59 +0000
@@ -96,7 +96,7 @@ setupTextRendering() {
 #  Selected braille table
 if [ -n "$LIBLOUIS_TABLES" ]
 then
-  if type file2brl
+  if type file2brl > /dev/null
   then
     # Good, we can use liblouisutdml
     case $CONTENT_TYPE in
@@ -138,7 +138,7 @@ then
 	;;
     esac
     RENDER_CALL="$LIBLOUIS_TOOL -CliteraryTextTable=$LIBLOUIS_TABLES,braille-patterns.cti $LIBLOUIS_CONFIG"
-  elif type lou_translate
+  elif type lou_translate > /dev/null
   then
     # Only liblouis, but better than nothing
     setupTextRendering


More information about the Printing-architecture mailing list